/*
 *  Copyright (c) 2016 UDBMS group
 *  *
 *  *  http://udbms.cs.helsinki.fi/
 *  *
 *  *  Author:  Chao Zhang   email: chao.z.zhang@helsinki.fi
 *  *
 *  * Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  * in the Software without restriction, including without limitation the rights
 *  * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  * copies of the Software, and to permit persons to whom the Software is
 *  * furnished to do so, subject to the following conditions:
 *  *
 *  * The above copyright notice and this permission notice shall be included in
 *  * all copies or substantial portions of the Software.
 *  *
 *  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 *  * SOFTWARE.
 *
 */

package com.datamodel;

import com.udbms.DataGenerator;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

/**
 * Created by chzhang on 7.10.2016.
 */
public class Order {
    public UUID Order_no = null;
    public UUID Customer_no = null;
    public UUID RegUser_no = null;
    public String Customer_name = "";
    public String Orderdate;
    public String Invoiced = "N";
    public double TotalSalesprice = 0;
    public double TotalVAT = 0;
    public double TotAmount = 0;
    public List<Orderline> orderlines = null;

    public Order(int NoOfOrderLines) throws  ClassNotFoundException, IOException {
        this.Order_no = UUID.randomUUID();
        this.Orderdate = DataGenerator.generate_Date();
        this.Invoiced = "N";
        orderlines = new ArrayList<Orderline>();
        for (int i = 0; i < NoOfOrderLines; i++) {
            Orderline ol = new Orderline();
            this.orderlines.add(ol);
            this.TotalSalesprice = TotalSalesprice + ol.OrderlineSalesPrice;
            this.TotalVAT = TotalVAT + ol.OrderlineVAT;
        }
        this.TotalSalesprice=DataGenerator.round(TotalSalesprice,2);
        this.TotalVAT = DataGenerator.round(TotalVAT,2);
        this.TotAmount = DataGenerator.round(TotalSalesprice + TotalVAT,2);

    }
}
