/*
 *  Copyright (c) 2016 UDBMS group
 *  *
 *  *  http://udbms.cs.helsinki.fi/
 *  *
 *  *  Author:  Chao Zhang   email: chao.z.zhang@helsinki.fi
 *  *
 *  * Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  * in the Software without restriction, including without limitation the rights
 *  * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  * copies of the Software, and to permit persons to whom the Software is
 *  * furnished to do so, subject to the following conditions:
 *  *
 *  * The above copyright notice and this permission notice shall be included in
 *  * all copies or substantial portions of the Software.
 *  *
 *  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 *  * SOFTWARE.
 *
 */

package com.datamodel;

import com.udbms.DataGenerator;

import java.sql.SQLException;
import java.util.UUID;

/**
 * Created by chzhang on 7.10.2016.
 */
public class Orderline {
    public UUID Line_no = null;
    public UUID Product_no = null;
    public String Product_Name = null;
    public int ListPrice = 100;
    public int Pcs = 0;
    public double DiscountPercentage = 0;
    public double SalesPrice = 0;
    public double OrderlineSalesPrice = 0;
    public double VATPercentage = 0;
    public double OrderlineVAT = 0;
    public double OrderlineTotAmount = 0;

    public Orderline() throws  ClassNotFoundException {
        this.Line_no = UUID.randomUUID();
        this.Pcs = DataGenerator.generate_Integer();
        this.ListPrice = DataGenerator.generate_Price(ListPrice);
        this.DiscountPercentage = DataGenerator.generate_Percentage(DiscountPercentage);
        this.SalesPrice = DataGenerator.round(ListPrice * (1 - (DiscountPercentage / 100)),2);
        this.OrderlineSalesPrice =  DataGenerator.round(Pcs * SalesPrice,2);
        this.VATPercentage = DataGenerator.generate_Percentage(VATPercentage);
        this.OrderlineVAT = DataGenerator.round(OrderlineSalesPrice * (VATPercentage / 100),2);
        this.OrderlineTotAmount = DataGenerator.round(OrderlineSalesPrice + OrderlineVAT,2);
    }
}
