/*
 *  Copyright (c) 2016 UDBMS group
 *  *
 *  *  http://udbms.cs.helsinki.fi/
 *  *
 *  *  Author:  Chao Zhang   email: chao.z.zhang@helsinki.fi
 *  *
 *  * Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  * in the Software without restriction, including without limitation the rights
 *  * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  * copies of the Software, and to permit persons to whom the Software is
 *  * furnished to do so, subject to the following conditions:
 *  *
 *  * The above copyright notice and this permission notice shall be included in
 *  * all copies or substantial portions of the Software.
 *  *
 *  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 *  * SOFTWARE.
 *
 */

package com.datamodel;

import com.udbms.DataGenerator;
import com.util.OrganizationDictionary;
import com.util.UniversitiesDictionary;

import java.io.IOException;
import java.sql.SQLException;
import java.util.UUID;

/**
 * Created by chzhang on 7.10.2016.
 */
public class RegUser {
    public UUID RegUser_no = null;
    public String Name = "1";
    public String Address = "1";
    public String Organization;
    public String University;
    public String language;
    public int Age = 25;

    public RegUser() throws  IOException {
        this.RegUser_no = UUID.randomUUID();
        this.Name =  DataGenerator.FirstName.getRandomName()+DataGenerator.LastName.getRandomName();
        this.Address = DataGenerator.AddressName.getRandomName();
        this.Organization = DataGenerator.OrganizationDic.getRandomKey();
        this.University =DataGenerator.UniversitiesDic.getRandomKey();
    }
}
