package com.util;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.*;

/**
 * Created by chzhang on 21.10.2016.
 */
public class ReviewDictionary {

    private static final String FileType1 = "S";

    private static final String FileType2 = "PVO";

    private static final String FileType3 = "PVC";

    private static final String FileType4 = "NVO";

    private static final String FileType5 = "NVC";

    public static final String fileName1 = "/data/Subject.txt";

    public static final String fileName2 = "/data/VerbObject_P.txt";

    public static final String fileName3 = "/data/VerbComplement_P.txt";

    public static final String fileName4 = "/data/VerbObject_N.txt";

    public static final String fileName5 = "/data/VerbComplement_N.txt";

    private static Map<String,List<String>> ReviewDic = new HashMap<>();

    private static Random rand = new Random();

    public ReviewDictionary() {
        loadf1(fileName1);
        loadf2(fileName2);
        loadf3(fileName3);
        loadf4(fileName4);
        loadf5(fileName5);
    }

    private void loadf1(String fileName1){
        try {
            BufferedReader dicSubject = new BufferedReader(
                    new InputStreamReader(ReviewDictionary.class.getResourceAsStream(fileName1), "UTF-8"));

            String lineSubject;
            List<String> Type1List = new ArrayList<String>();
            while ((lineSubject = dicSubject.readLine()) != null) {
                Type1List.add(lineSubject);
            }
            ReviewDic.put(FileType1,Type1List);
            dicSubject.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private void loadf2(String fileName2){
        try {
            BufferedReader dicVerbObject = new BufferedReader(
                    new InputStreamReader(ReviewDictionary.class.getResourceAsStream(fileName2), "UTF-8"));
            String lineVerbObject;
            List<String> Type2List = new ArrayList<String>();
            while ((lineVerbObject = dicVerbObject.readLine()) != null) {
                Type2List.add(lineVerbObject);
            }
            ReviewDic.put(FileType2,Type2List);
            dicVerbObject.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private void loadf3(String fileName3){
        try {
            BufferedReader dicVerbObject = new BufferedReader(
                    new InputStreamReader(ReviewDictionary.class.getResourceAsStream(fileName3), "UTF-8"));
            String lineVerbObject;
            List<String> Type2List = new ArrayList<String>();
            while ((lineVerbObject = dicVerbObject.readLine()) != null) {
                Type2List.add(lineVerbObject);
            }
            ReviewDic.put(FileType3,Type2List);
            dicVerbObject.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private void loadf4(String fileName4){
        try {
            BufferedReader dicVerbObject = new BufferedReader(
                    new InputStreamReader(ReviewDictionary.class.getResourceAsStream(fileName4), "UTF-8"));
            String lineVerbObject;
            List<String> Type2List = new ArrayList<String>();
            while ((lineVerbObject = dicVerbObject.readLine()) != null) {
                Type2List.add(lineVerbObject);
            }
            ReviewDic.put(FileType4,Type2List);
            dicVerbObject.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private void loadf5(String fileName5){
        try {
            BufferedReader dicVerbObject = new BufferedReader(
                    new InputStreamReader(ReviewDictionary.class.getResourceAsStream(fileName5), "UTF-8"));
            String lineVerbObject;
            List<String> Type2List = new ArrayList<String>();
            while ((lineVerbObject = dicVerbObject.readLine()) != null) {
                Type2List.add(lineVerbObject);
            }
            ReviewDic.put(FileType5,Type2List);
            dicVerbObject.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public String getRandomSubject() {
        List<String> keysAsArray = ReviewDic.get(FileType1);
        //System.out.println(keysAsArray.get(rand.nextInt(keysAsArray.size())));
        return keysAsArray.get(rand.nextInt(keysAsArray.size()));
    }

    public String getRandomVerbObject_P() {
        List<String> keysAsArray = ReviewDic.get(FileType2);
        //System.out.println(keysAsArray.get(rand.nextInt(keysAsArray.size())));
        return keysAsArray.get(rand.nextInt(keysAsArray.size()));
    }

    public String getRandomVerbComplement_P() {
        List<String> keysAsArray = ReviewDic.get(FileType3);
        //System.out.println(keysAsArray.get(rand.nextInt(keysAsArray.size())));
        return keysAsArray.get(rand.nextInt(keysAsArray.size()));
    }

    public String getRandomVerbObject_N() {
        List<String> keysAsArray = ReviewDic.get(FileType4);
        //System.out.println(keysAsArray.get(rand.nextInt(keysAsArray.size())));
        return keysAsArray.get(rand.nextInt(keysAsArray.size()));
    }

    public String getRandomVerbComplement_N() {
        List<String> keysAsArray = ReviewDic.get(FileType5);
        //System.out.println(keysAsArray.get(rand.nextInt(keysAsArray.size())));
        return keysAsArray.get(rand.nextInt(keysAsArray.size()));
    }
}
